Package org.apache.nutch.crawl

## Class CrawlDbReader.CrawlDatumJsonOutputFormat.WritableSerializer

- java.lang.Object
- - com.fasterxml.jackson.databind.JsonSerializer<Writable>
  - - org.apache.nutch.crawl.CrawlDbReader.CrawlDatumJsonOutputFormat.WritableSerializer

- All Implemented Interfaces:
    `com.fasterxml.jackson.databind.jsonFormatVisitors.JsonFormatVisitable`
  Enclosing class:
    CrawlDbReader.CrawlDatumJsonOutputFormat

      public static class CrawlDbReader.CrawlDatumJsonOutputFormat.WritableSerializer
      extends com.fasterxml.jackson.databind.JsonSerializer<Writable>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.JsonSerializer

      `com.fasterxml.jackson.databind.JsonSerializer.None`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `WritableSerializer()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `serialize​(Writable obj, com.fasterxml.jackson.core.JsonGenerator jgen, com.fasterxml.jackson.databind.SerializerProvider provider)` |

    - ### Methods inherited from class com.fasterxml.jackson.databind.JsonSerializer

      `acceptJsonFormatVisitor, getDelegatee, handledType, isEmpty, isEmpty, isUnwrappingSerializer, properties, replaceDelegatee, serializeWithType, unwrappingSerializer, usesObjectId, withFilterId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WritableSerializer

          public WritableSerializer()

  - ### Method Detail

    - #### serialize

          public void serialize​(Writable obj,
                                com.fasterxml.jackson.core.JsonGenerator jgen,
                                com.fasterxml.jackson.databind.SerializerProvider provider)
                         throws IOException

      Specified by:
        `serialize` in class `com.fasterxml.jackson.databind.JsonSerializer<Writable>`
      Throws:
        `IOException`